#
# Conditional build:
%bcond_without	tests	# do perform "make test"
#
%define		pdir	Devel
%define		pnam	Size
Summary:	Devel::Size - finding the memory usage of Perl variables
Summary(pl.UTF-8):	Devel::Size - określanie zużycia pamięci przez zmienne Perla
Name:		perl-Devel-Size
Version:	0.83
Release:	3
# same as perl itself (as stated in COPYRIGHT section of pod)
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Devel/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0b5335d69402c75d5ab9978027ae2f66
URL:		https://metacpan.org/release/Devel-Size
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module figures out the real sizes of Perl variables in bytes.
Call functions with a reference to the variable you want the size
of.  If the variable is a plain scalar it returns the size of
the scalar.  If the variable is a hash or an array, use a reference
when calling.

%description -l pl.UTF-8
Ten moduł oblicza prawdziwe rozmiary zmiennych perlowych w bajtach.
Wystarczy wywołać funkcję z referencją do zmiennej, której rozmiar
chce się poznać. Jeśli zmienna jest skalarem, zwraca rozmiar skalara.
Jeśli zmienna jest haszem lub tablicą, należy użyć referencji przy
wywołaniu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES
%{perl_vendorarch}/Devel/Size.pm
%dir %{perl_vendorarch}/auto/Devel/Size
%attr(755,root,root) %{perl_vendorarch}/auto/Devel/Size/Size.so
%{_mandir}/man3/Devel::Size.3pm*
%changelog
* Mon Aug 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Devel-Size.git;a=log;h=master

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> d37a53b
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 98a9ac6
- rebuild with perl 5.34.0

* Sat May 22 2021 Jakub Bogusz <qboosh@pld-linux.org> 8d92b83
- updated to 0.83

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> f2789cc
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 186fac6
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 15a2f88
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Sun Sep 02 2018 Jan Rękorajski <baggins@pld-linux.org> abf1088
- up to 0.82

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> f4fc9f3
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> abac142
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Mon Nov 07 2016 Jakub Bogusz <qboosh@pld-linux.org> 5b4cb38
- verbose man files

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 26fb5f6
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sat Jan 02 2016 Jan Rękorajski <baggins@pld-linux.org> 2074d65
- up to 0.80

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 9088ee4
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 4610bea
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 7fdb69f
- x32 rebuild
- release 5 (by relup.sh)

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> da13d76
- added test fixes from fedora
- rel 4

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> e96fce5
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 9b24b50
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> b4814b3
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 23ac783
- up to 0.79

